.bp3-toast {
  background: $white4;
  border-radius: 4px;
  box-shadow: unset;
  min-width: 470px;
  max-width: 100%;
  height: 48px;
  .bp3-toast-message {
    padding: 12px 0 12px 16px;
    font-size: 13px;
    font-weight: 400;
    line-height: 24px;
    color: $rt-blue2;
  }
  .bp3-button-group {
    line-height: 26px;
    padding: 0;
    .bp3-button {
      padding: 0;
      margin: 16px 19px 16px 0;
      min-width: 16px;
      min-height: 16px;
      .bp3-icon {
        color: $rt-dark-gray4;
      }
      .bp3-icon-standard {
        color: $rt-dark-gray4;
      }
      .bp3-icon-large {
        color: $rt-dark-gray4;
      }
    }
  }
  &.bp3-intent-primary {
    .bp3-toast-message {
      color: $rt-white2;
    }
    .bp3-button-group {
      a.bp3-button {
        margin: 11px 15px 11px 0;
        color: rgba(167, 182, 194, 1) !important;
      }
      .bp3-button {
        .bp3-icon {
          color: rgba(167, 182, 194, 1) !important;
        }
        &:hover {
          background-color: unset !important;
        }
      }
    }
  }
  &.bp3-intent-success {
    .bp3-icon {
      color: $green-pantone;
      margin: 18px;
      margin-right: 0;
      svg {
        width: 14px;
        height: 14px;
      }
    }
    .bp3-toast-message {
      color: $rt-white2;
      padding: 12px 0 12px 14px;
    }
    .bp3-button-group {
      a.bp3-button {
        margin: 11px 15px 11px 0;
        color: rgba(221, 242, 231, 1) !important;
      }
      .bp3-button {
        .bp3-icon {
          color: rgba(221, 242, 231, 1) !important;
        }
        &:hover {
          background-color: unset !important;
        }
      }
    }
  }
  &.bp3-intent-warning {
    .bp3-icon {
      color: $white5;
      margin: 17px 0 17px 16px;
      svg {
        width: 14px;
        height: 14px;
      }
    }
    .bp3-toast-message {
      color: $rt-white2;
      padding: 12px 0 12px 12px;
    }
    .bp3-button-group {
      a.bp3-button {
        margin: 11px 15px 11px 0;
        color: rgba(244, 236, 225, 1) !important;
      }
      .bp3-button {
        .bp3-icon {
          color: rgba(244, 236, 225, 1) !important;
        }
        &:hover {
          background-color: unset !important;
        }
      }
    }
  }
  &.bp3-intent-danger {
    .bp3-icon {
      color: $white5;
      margin: 18px 0 17px 16px;
      margin-right: 0;
      svg {
        width: 14px;
        height: 14px;
      }
    }
    .bp3-toast-message {
      color: $white5;
      padding: 12px 0 12px 12px;
    }
    .bp3-button-group {
      a.bp3-button {
        margin: 11px 15px 11px 0;
        color: rgba(242, 224, 234, 1) !important;
      }
      .bp3-button {
        .bp3-icon {
          color: rgba(242, 224, 234, 1) !important;
        }
        &:hover {
          background-color: unset !important;
        }
      }
    }
  }
}
